Page MenuHomePhabricator

An in-progress translation is shown as a suggestion
Open, HighPublic

Description

I was suggested to translate article which I had already in progress. See: https://imgur.com/a/Vqoqd for screenshots.

Currently users cannot translate an article which is being translated by another user (T86151).
Thus, it does not make much sense to suggest an article for translation if another user already blocked it.

Even if users are somehow able to translate the same topics, we probably don't want to encourage it if there are alternative choices.

This filtering is currently done for the local recommendation algorithm (the fallback one), but not for the one providing personalised recommendations. That is specially problematic for new users since their lack of previous translations (used as a seed) makes them more likely to be exposed to the same set of suggestions (randomising the suggestion order can alleviate a bit this problem too).

Event Timeline

KartikMistry raised the priority of this task from to Needs Triage.
KartikMistry updated the task description. (Show Details)
KartikMistry added subscribers: KartikMistry, santhosh.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 2 2015, 12:47 PM
Amire80 renamed this task from Do not all In Progress translation as Suggetion to An In Progress translation is shown as a Suggetion.Dec 4 2015, 9:13 AM
Amire80 renamed this task from An In Progress translation is shown as a Suggetion to An in-progress translation is shown as a suggestion.
Amire80 triaged this task as Medium priority.
Amire80 set Security to None.
Amire80 moved this task from Needs Triage to CX7 on the ContentTranslation board.
Amire80 moved this task from CX7 to CX8 on the ContentTranslation board.Jan 24 2016, 8:53 PM
Amire80 raised the priority of this task from Medium to High.Feb 2 2016, 9:42 PM

IIRC, the API already filters out some articles when loading the suggestions. If an article is being translated, it definitely shouldn't be shown, so it should be added as a criterion for filtering out.

RobH mentioned this in Unknown Object (Task).Mar 23 2016, 9:05 PM
RobH mentioned this in Unknown Object (Task).
Amire80 moved this task from CX8 to Bugs on the ContentTranslation board.Apr 20 2016, 1:09 PM
Arrbee moved this task from Bugs to Check & Move on the ContentTranslation board.Aug 5 2019, 1:20 PM
Arrbee moved this task from Check & Move to Bugs on the ContentTranslation board.Aug 5 2019, 2:44 PM